clang 8.0.0

Functions
__clang_cuda_complex_builtins.h File Reference

Go to the source code of this file.

## Functions
__device__ double _Complex | __muldc3 (double __a, double __b, double __c, double __d)
__device__ float _Complex | __mulsc3 (float __a, float __b, float __c, float __d)
__device__ double _Complex | __divdc3 (double __a, double __b, double __c, double __d)
__device__ float _Complex | __divsc3 (float __a, float __b, float __c, float __d)

## Function Documentation

## ◆ __divdc3()

__device__ double _Complex __divdc3 | ( | double | __a,
|  | double | __b,
|  | double | __c,
|  | double | __d
| ) |  |
| inline

Definition at line 132 of file __clang_cuda_complex_builtins.h.

References __a, __b, abs(), copysign, isfinite(), isinf(), isnan(), logb, max(), and scalbn.

## ◆ __divsc3()

__device__ float _Complex __divsc3 | ( | float | __a,
|  | float | __b,
|  | float | __c,
|  | float | __d
| ) |  |
| inline

Definition at line 169 of file __clang_cuda_complex_builtins.h.

References __a, __b, abs(), copysign, isfinite(), isinf(), isnan(), logb, max(), and scalbn.

## ◆ __muldc3()

__device__ double _Complex __muldc3 | ( | double | __a,
|  | double | __b,
|  | double | __c,
|  | double | __d
| ) |  |
| inline

Definition at line 32 of file __clang_cuda_complex_builtins.h.

References __c, copysign, isinf(), and isnan().

## ◆ __mulsc3()

__device__ float _Complex __mulsc3 | ( | float | __a,
|  | float | __b,
|  | float | __c,
|  | float | __d
| ) |  |
| inline

Definition at line 83 of file __clang_cuda_complex_builtins.h.

References __c, copysign, isinf(), and isnan().